Bug 77022 - Fix russian/pscyr
Fix russian/pscyr
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sergey Matveychuk
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-02 17:40 UTC by kappa
Modified: 2005-06-06 12:00 UTC (History)
0 users

See Also:


Attachments
file.diff (2.57 KB, patch)
2005-02-02 17:40 UTC, kappa
no flags Details | Diff
pscyr1.diff (6.63 KB, patch)
2005-06-06 10:54 UTC, kappa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kappa 2005-02-02 17:40:23 UTC
Catch up newer teTeX ports structure. Add one distsite. USE_REINPLACE,
not perl.

The port is not ${PREFIX}-clean and there's no obvious way for it to
be as it is a plug-in for teTeX and should be installed into the same
directory tree.

Idea by: Antuan Avdioukhine <antuan@gmail.com>
Comment 1 Sergey Matveychuk freebsd_committer 2005-02-11 18:35:16 UTC
# make install
...
updmap: Scanning for MixedMap entries:

updmap: Scanning for Map entries:

!!! ERROR! The map file `pscyr.map' has not been found at all.

     Either put this file into the right place or remove the
     reference from the configuration file. An automatic way
     to disable unavailable map files is to call
       updmap --syncwithtrees

     For manual editing, call
       updmap --edit

#make deinstall
===>  Deinstalling for russian/pscyr
===>   Deinstalling ru-PSCyr-0.4c2_1
pkg_delete: file '/usr/local/share/texmf/dvips/config/pscyr.map' doesn't 
really exist
...

-- 
Sem.
Comment 2 kappa 2005-02-11 18:49:22 UTC
Please, can you provide `pkg_info -E teTeX-\* tex\*' and full `make install'
output?

* Sergey Matveychuk <sem@FreeBSD.org> [February 11 2005, 21:35]:
> # make install
> ...
> updmap: Scanning for MixedMap entries:
> 
> updmap: Scanning for Map entries:
> 
> !!! ERROR! The map file `pscyr.map' has not been found at all.
> 
>     Either put this file into the right place or remove the
>     reference from the configuration file. An automatic way
>     to disable unavailable map files is to call
>       updmap --syncwithtrees
> 
>     For manual editing, call
>       updmap --edit
> 
> #make deinstall
> ===>  Deinstalling for russian/pscyr
> ===>   Deinstalling ru-PSCyr-0.4c2_1
> pkg_delete: file '/usr/local/share/texmf/dvips/config/pscyr.map' doesn't 
> really exist
> ...
> 
> -- 
> Sem.

-- 
Alex Kapranoff,
$n=["1another7Perl213Just3hacker49"=~/\d|\D*/g];
$$n[0]={grep/\d/,@$n};print"@$n{1..4}\n"
Comment 3 Sergey Matveychuk freebsd_committer 2005-02-11 21:28:57 UTC
Alex Kapranoff wrote:

> Please, can you provide `pkg_info -E teTeX-\* tex\*' and full `make install'
> output?
sem@stable-5[26]% pkg_info|grep teTeX
teTeX-base-3.0_1    Thomas Esser's distribution of TeX & friends (binaries)
teTeX-texmf-3.0     Thomas Esser's distribution of TeX & friends (texmf 
tree)

root@stable-5[27]# make install
===>  Installing for ru-PSCyr-0.4c2_1
===>   ru-PSCyr-0.4c2_1 depends on executable: mktexlsr - found
===>   Generating temporary packing list
===>  Checking if russian/pscyr already installed
(cd /usr/ports/russian/pscyr/work; /bin/sh install.sh /usr/local)
/bin/sh /usr/ports/russian/pscyr/pkg-install ru-PSCyr-0.4c2_1 
POST-INSTALL /usr/local
mktexlsr: Updating /home/sem/.texmf-var/ls-R...
mktexlsr: Updating /usr/local/share/texmf/ls-R...
mktexlsr: Updating /usr/local/share/texmf-dist/ls-R...
mktexlsr: Updating /usr/local/share/texmf-local/ls-R...
mktexlsr: Updating /usr/local/share/texmf-var/ls-R...
mktexlsr: Done.
updmap: This is updmap, version 1107552857
updmap: using transcript file `/home/sem/.texmf-var/web2c/updmap.log'

updmap is creating new map files using the following configuration:

   config file: `/usr/local/share/texmf-var/web2c/updmap.cfg'
   dvips output directory: `/home/sem/.texmf-var/fonts/map/dvips/updmap'
   pdftex output directory: `/home/sem/.texmf-var/fonts/map/pdftex/updmap'
   dvipdfm output directory: `/home/sem/.texmf-var/fonts/map/dvipdfm/updmap'

   prefer outlines: `true'
   texhash enabled: `false'
   download standard fonts (dvips): `false'
   download standard fonts (pdftex): `false'
   download standard fonts (dvipdfm): `false'

updmap: Scanning for LW35 support files
updmap: using map file 
`/usr/local/share/texmf-dist/fonts/map/dvips/tetex/dvips35.map'
updmap: using map file 
`/usr/local/share/texmf-dist/fonts/map/dvips/tetex/pdftex35.map'
updmap: using map file 
`/usr/local/share/texmf-dist/fonts/map/dvips/tetex/dvipdfm35.map'
updmap: using map file 
`/usr/local/share/texmf-dist/fonts/map/dvips/tetex/ps2pk35.map'

updmap: Scanning for MixedMap entries:

updmap: Scanning for Map entries:

!!! ERROR! The map file `pscyr.map' has not been found at all.

     Either put this file into the right place or remove the
     reference from the configuration file. An automatic way
     to disable unavailable map files is to call
       updmap --syncwithtrees

     For manual editing, call
       updmap --edit

===>   Registering installation for ru-PSCyr-0.4c2_1

-- 
Sem.
Comment 4 Sergey Matveychuk freebsd_committer 2005-03-05 09:13:39 UTC
State Changed
From-To: open->feedback

Wait for feedback
Comment 5 Sergey Matveychuk freebsd_committer 2005-04-16 23:39:19 UTC
Any chance to fix it?

--
Sem.
Comment 6 kappa 2005-04-17 01:58:45 UTC
Sergey Matveychuk wrote:
> Any chance to fix it?

Yes, the patch is long ready and works_for_me. Currently, I'm expecting 
feedback from a guy with an interesting configuration of TeX. In case of 
positive one, I'm gonna submit the patch immediately.
Comment 7 Sergey Matveychuk freebsd_committer 2005-04-17 12:22:43 UTC
Alex Kapranoff wrote:

> Sergey Matveychuk wrote:
> 
>> Any chance to fix it?
> 
> 
> Yes, the patch is long ready and works_for_me. Currently, I'm expecting 
> feedback from a guy with an interesting configuration of TeX. In case of 
> positive one, I'm gonna submit the patch immediately.

OK. Keep me informed then.

--
Sem.
Comment 8 Sergey Matveychuk freebsd_committer 2005-04-17 12:23:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sem

Take it.
Comment 9 Sergey Matveychuk freebsd_committer 2005-06-05 12:56:49 UTC
Still no progress on this PR.

--
Sem.
Comment 10 kappa 2005-06-06 10:54:30 UTC
* Sergey Matveychuk <sem@FreeBSD.org> [June 05 2005, 15:56]:
> Still no progress on this PR.

The patch is attached. It was for the most part submitted by Hiroki
Sato.

-- 
Alex Kapranoff,
$n=["1another7Perl213Just3hacker49"=~/\d|\D*/g];
$$n[0]={grep/\d/,@$n};print"@$n{1..4}\n"
Comment 11 Sergey Matveychuk freebsd_committer 2005-06-06 12:00:27 UTC
State Changed
From-To: feedback->closed

Committed, thanks!